## jxtray.swing
Class TreeConnectionElement

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          jxtray.swing.TreeConnectionElement

All Implemented Interfaces:
  java.lang.Cloneable, javax.swing.tree.MutableTreeNode, java.io.Serializable, javax.swing.tree.TreeNode

public class TreeConnectionElement
extends javax.swing.tree.DefaultMutableTreeNode

See Also:
  Serialized Form

Field Summary
`static int` `NODE_CONNECTION_CLOSE`
`static int` `NODE_CONNECTION_OPEN`
`static int` `NODE_DRIVER`
`static int` `NODE_JDBCURL`
`static int` `NODE_ROOT`
`static int` `NODE_USER`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`TreeConnectionElement(java.lang.String value, int type)`

Method Summary
`int` `getType()`
`void` `setType(int t)`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NODE_DRIVER

    public static final int NODE_DRIVER

See Also:
  Constant Field Values

### NODE_JDBCURL

    public static final int NODE_JDBCURL

See Also:
  Constant Field Values

### NODE_USER

    public static final int NODE_USER

See Also:
  Constant Field Values

### NODE_CONNECTION_CLOSE

    public static final int NODE_CONNECTION_CLOSE

See Also:
  Constant Field Values

### NODE_CONNECTION_OPEN

    public static final int NODE_CONNECTION_OPEN

See Also:
  Constant Field Values

### NODE_ROOT

    public static final int NODE_ROOT

See Also:
  Constant Field Values

Constructor Detail

### TreeConnectionElement

    public TreeConnectionElement(java.lang.String value,
                                 int type)

Method Detail

### getType

    public int getType()

### setType

    public void setType(int t)